Not working with Gimp 2.10.8?

gimp

(Alk Zan) #1

Hi there,

Ive been having a lot of trouble to get Gmic 2.4.1 to work properly with Gimp 2.10.8

Is it me or there’s no compatible version of Gmic with the new version of Gimp? Only a few filters sort of work but in general it doesn’t.

Strangely when I open Gmic, on the window it says Gmic 2.4.0 and I installed to the default folder the Gmic 2.4.1 version.


#2

Hi @alkzan,

It must be you :slight_smile:
Which operating system are you on?

I am on Manjaro and here gmic works just fine
with The Gimp 2.10.8.

Have fun!
Claes in Lund, Sweden


(Alk Zan) #3

Hi Claes, thank you. I am using Gimp/Gmic on Windows 7. Been trying to fix the issue with no luck yet, really don’t know what it is.


#4

Please read this thread:


Hopefully you will find a solution there.

Have fun!
Claes in Lund, Sweden


(Alk Zan) #5

Thank you Claes, finally solved the problem.

I might be wrong? but I think the download link to the Windows installer version of Gmic its not pointing to 2.4.1. I installed it a few times, both versions 32 and 64 and it was 2.4.0. Either that or the installer does something funny, at least on my computer.

Solved it by downloading the zip file and extracting it manually. Now everything works great.

Cheers!


#6

I am glad you mentioned that; it makes the date discrepancies make sense.
I first downloaded the Zip-file package and all of the dll files are dated 30-October-2018; the dll files that came in the installer are dated 09-April.
I did play around with a few random filters and the ones I tried seemed to work, but I only used the defaults and did not try any adjustments.
It would be interesting to know when 2.4.0 was created and when 2.4.1 was released.
Maybe I should remove the April files and replace them with the October files ?

I appreciate a free thing, but a simple text file with about two sentences would have saved me a lot of searches that sent me down rabbit holes.
Were it not for the patience and good advice from here, I may never have figured it out.


(Alk Zan) #7

Hi BuckSkin,

I suggest to try out the filters and see if they work properly, and see which version it says on the Gmic window once launched, Otherwise I strongly suggest to download the zip and install it manually overwriting all the files. Another thing I noticed is that the installer file(s) come like this “gmic_gimp2.10_qt_win64.exe” and don’t say the “actual” version of Gmic you are downloading, Maybe that caused the confusion on the server side. Just wondering. I also tried to find a file saying which version it was, once installed (with the installer) and there is none. In the zip file there is a read me file that it says which version it is.

I hope this posts help you or someone else that might be having the same problem:)


#8

What does your gmic/About/Release Notes say?

/Claes

PS: Look at the users of this thread:
Screenshot_2018-11-12_21-32-31
Time for a D to intervene?


(Alk Zan) #9

Hi Claes, earlier today I looked for an About Gmic button on the window and couldn’t find it, didn’t knew it was with the filters, good to know thank you:) Mine now it says on release notes 2.4.1 with the zip install, same as on the window.

Cheers


(Alk Zan) #10

I should point that I did not see it because I have many filter “faves” and the About was way down on the filters drop box.


#11

I just checked mine that is from the installer and it reads just like the red line in your picture:
2018/10/30 version 2.4.1(Current stable)

That doesn’t seem possible, as the files themselves are dated 09-April; maybe nothing has changed with the dll files.


#12

I believe D :stuck_out_tongue: builds the packages by hand so it is possible that the files or naming got mixed up. It has happened before and yes it is hard to tell from the filename. Anyway, he reads this category so don’t worry.

Why is having the latest version important to you? Is there a feature that you are burning to have that isn’t available in your current setup?

G’MIC is being updated at a rapid pace; another is bound to come soon.


(Alk Zan) #13

Hi Afre, in my case 2.4.0 wasn’t working properly with Gimp 2.10.8 after I updated it today from 2.10.6, and after being able to update Gmic to 2.4.1 I got it to work again.

BuckSkin, you are fine then, that just means that in the install you have some of the files weren’t modified for the update.


(Alk Zan) #14

Hehehe I think that is what happened :sweat_smile: Hopefully they will fix it soon :grinning:


(G'MIC staff) #15

About the G’MIC version : The version you currently have is the number displayed on the title bar, when opening the plug-in. If it’s written 2.4.0, then you have 2.4.0, no matter what appears in the release notes (these can be shared among several versions, if these versions share the same filter definitions).

I’ve not tested with GIMP 2.10.8 yet, so I can’t tell if G’MIC is still compatible with it.


#16

AboutAbout G'MIC crashes the plugin in GIMP 2.10.6 (Partha).

image


(G'MIC staff) #17

What kind of crash ?


#18

I click on About G'MIC and the plugin crashes.

image


#19

I had issues with many of my favorites, many did not worked at all, not triggering the settings panel to open.

This happened after i updated the filters list in Gmic, then i realized that the names had slightly changed, the plugins composed of 2 or more words have now capital letters on each word, wasn’t the case for many of them earlier, like for example “Auto balance” became “Auto Balance”

Somehow those little changes messed up all my favorites having names using more than one word, when clicking on a favorite plugin from the list it had no effect, not opening the corresponding settings.

Had to delete the ones having issues before adding them again from the main list of plugins, this time with the names having capital letters on each word.

Took me 2 hours to figure out what was going wrong :stuck_out_tongue:


(G'MIC staff) #20

Just tested this morning, with the 2.4.2_pre version I’ve posted yesterday, and it works on Windows:


Could you try with this one and tell me if it still crashes ?

This as a bug from our side indeed, but this has been fixed since version 2.4.1 (current stable).
Now, favorites filters are still valid even when the case has changed in the filter name.